Share via


Private Endpoint Connections - Update

Updates a private endpoint connection.

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ContainerService/managedClusters/{resourceName}/privateEndpointConnections/{privateEndpointConnectionName}?api-version=2026-01-01

URI Parameters

Name In Required Type Description
privateEndpointConnectionName
path True

string

The name of the private endpoint connection.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

resourceName
path True

string

minLength: 1
maxLength: 63
pattern: ^[a-zA-Z0-9]$|^[a-zA-Z0-9][-_a-zA-Z0-9]{0,61}[a-zA-Z0-9]$

The name of the managed cluster resource.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Required Type Description
properties.privateLinkServiceConnectionState True

PrivateLinkServiceConnectionState

A collection of information about the state of the connection between service consumer and provider.

properties.privateEndpoint

PrivateEndpoint

The resource of private endpoint.

Responses

Name Type Description
200 OK

PrivateEndpointConnection

Resource 'PrivateEndpointConnection' update operation succeeded

201 Created

PrivateEndpointConnection

Resource 'PrivateEndpointConnection' create operation succeeded

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Update Private Endpoint Connection

Sample request

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/privateEndpointConnections/privateendpointconnection1?api-version=2026-01-01

{
  "properties": {
    "privateLinkServiceConnectionState": {
      "status": "Approved"
    }
  }
}

Sample response

{
  "name": "privateendpointconnection1",
  "type": "Microsoft.Network/privateLinkServices/privateEndpointConnections",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedCluster/clustername1/privateEndpointConnections/privateendpointconnection1",
  "properties": {
    "privateEndpoint": {
      "id": "/subscriptions/subid2/resourceGroups/rg2/providers/Microsoft.Network/privateEndpoints/pe2"
    },
    "privateLinkServiceConnectionState": {
      "status": "Approved"
    },
    "provisioningState": "Succeeded"
  }
}
{
  "name": "privateendpointconnection1",
  "type": "Microsoft.Network/privateLinkServices/privateEndpointConnections",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedCluster/clustername1/privateEndpointConnections/privateendpointconnection1",
  "properties": {
    "privateEndpoint": {
      "id": "/subscriptions/subid2/resourceGroups/rg2/providers/Microsoft.Network/privateEndpoints/pe2"
    },
    "privateLinkServiceConnectionState": {
      "status": "Approved"
    },
    "provisioningState": "Succeeded"
  }
}

Definitions

Name Description
ConnectionStatus

The private link service connection status.

createdByType

The type of identity that created the resource.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

PrivateEndpoint

Private endpoint which a connection belongs to.

PrivateEndpointConnection

A private endpoint connection

PrivateEndpointConnectionProvisioningState

The current provisioning state.

PrivateLinkServiceConnectionState

The state of a private link service connection.

systemData

Metadata pertaining to creation and last modification of the resource.

ConnectionStatus

The private link service connection status.

Value Description
Pending

Connection is pending approval.

Approved

Connection is approved.

Rejected

Connection is rejected.

Disconnected

Connection is disconnected.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

PrivateEndpoint

Private endpoint which a connection belongs to.

Name Type Description
id

string

The resource ID of the private endpoint

PrivateEndpointConnection

A private endpoint connection

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

The name of the resource

properties.privateEndpoint

PrivateEndpoint

The resource of private endpoint.

properties.privateLinkServiceConnectionState

PrivateLinkServiceConnectionState

A collection of information about the state of the connection between service consumer and provider.

properties.provisioningState

PrivateEndpointConnectionProvisioningState

The current provisioning state.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

PrivateEndpointConnectionProvisioningState

The current provisioning state.

Value Description
Canceled

Private endpoint connection provisioning was canceled.

Creating

Private endpoint connection is being created.

Deleting

Private endpoint connection is being deleted.

Failed

Private endpoint connection provisioning failed.

Succeeded

Private endpoint connection provisioning succeeded.

PrivateLinkServiceConnectionState

The state of a private link service connection.

Name Type Description
description

string

The private link service connection description.

status

ConnectionStatus

The private link service connection status.

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.